Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.jms
Interface ServerSessionPoolFactory

public interface ServerSessionPoolFactory

Factory interface for creating Server Session Pools. This interface is provided because it was not defined in `javax.jms`.

Author:
  Copyright (c) 1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`javax.jms.ServerSessionPool` | `getServerSessionPool(javax.jms.QueueConnection connection, int maxSessions, boolean transacted, int ackMode, java.lang.String listenerClassName)` Create a ServerSessionPool which can be used to service messages sent to a message listener in parallel, by a pool of ServerSessions.
`javax.jms.ServerSessionPool` | `getServerSessionPool(javax.jms.TopicConnection connection, int maxSessions, boolean transacted, int ackMode, java.lang.String listenerClassName)` Create a ServerSessionPool which can be used to service messages sent to a message listener in parallel, by a pool of ServerSessions.

Method Detail

### getServerSessionPool

    public javax.jms.ServerSessionPool getServerSessionPool(javax.jms.TopicConnection connection,
                                                            int maxSessions,
                                                            boolean transacted,
                                                            int ackMode,
                                                            java.lang.String listenerClassName)
                                                     throws javax.jms.JMSException

  Create a ServerSessionPool which can be used to service messages sent to a message listener in parallel, by a pool of ServerSessions.

  The class `listenerClassName` may define a constructor which accepts a Session as an argument. The class must be public, and must define a public default constructor.

  Parameters:
    `connection` - Connection used to create the JMS Session
    `maxSessions` - Maximum number of sessions in the pool
    `transacted` - True if the session should be transacted
    `ackMode` - Acknowledgement mode for message delivery
    `listenerClassName` - Class to be instantiated to receive messages
  Throws:
    javax.jms.JMSException - if a JMS error occurs

### getServerSessionPool

    public javax.jms.ServerSessionPool getServerSessionPool(javax.jms.QueueConnection connection,
                                                            int maxSessions,
                                                            boolean transacted,
                                                            int ackMode,
                                                            java.lang.String listenerClassName)
                                                     throws javax.jms.JMSException

  Create a ServerSessionPool which can be used to service messages sent to a message listener in parallel, by a pool of ServerSessions.

  The class `listenerClassName` may define a constructor which accepts a Session as an argument. The class must be public, and must define a public default constructor.

  Parameters:
    `connection` - Connection used to create the JMS Session
    `maxSessions` - Maximum number of sessions in the pool
    `transacted` - True if the session should be transacted
    `ackMode` - Acknowledgement mode for message delivery.
    `listenerClassName` - Class to be instantiated to receive messages
  Throws:
    javax.jms.JMSException - if a JMS error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD